#!/usr/bin/env perl
#
# $Id$
#
# Simple test to see if basic SSSLib componenets are working.
# For now just using 'embench', which talks to the ServiceDir & EventMgr.
#
# Thomas Naughton  <naughtont@ornl.gov>

use strict;

my $retval = 1;

# Cludge to see if ServiceDir is running?
my $rslt = `ps -auwx | grep sd.py |grep python | grep daemon | grep root | grep -v 'ps -a'`;
#print "Service Directory running!\n" if($rslt ne "");
my $label = '--label "SSS Service Directory running?"';
`$OSCAR_TESTPRINT $label ($rslt ne "")? --pass : --fail`;


# Cludge to see if EventMgr is running?
my $rslt = `ps -auwx | grep emng.py |grep python | grep daemon | grep root | grep -v 'ps -a'`;
#print "Event Manager running!\n" if($rslt ne "");
my $label = '--label "SSS Event Manager running?"';
`$OSCAR_TESTPRINT $label ($rslt ne "")? --pass : --fail`;


# Run simple client app to test access of ServDir and EMgr
my $embench = '/usr/sbin/embench.py';

# Check output for results
my @rslt = `$embench 2`;
if( ($rslt[0] =~ /^Starting/) && ($rslt[1] =~ /^Finished/) ) {
	`$OSCAR_TESTPRINT --label "Run '$embench 2'" --pass`;
	$retval = 1;
}
else {
	`$OSCAR_TESTPRINT --label "Run '$embench 2'" --fail`;
	$retval = 0;
}

$retval;
